org.bouncycastle.jce.provider

## Class X509StoreAttrCertCollection

- java.lang.Object
- - org.bouncycastle.x509.X509StoreSpi
  - - org.bouncycastle.jce.provider.X509StoreAttrCertCollection

    public class X509StoreAttrCertCollection
    extends X509StoreSpi

### Constructor Summary

Constructors
Constructor and Description
`X509StoreAttrCertCollection()`

### Method Summary

Methods
`java.util.Collection` `engineGetMatches(Selector selector)`
`void` `engineInit(X509StoreParameters params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X509StoreAttrCertCollection

    public X509StoreAttrCertCollection()

### Method Detail

#### engineInit

    public void engineInit(X509StoreParameters params)

Specified by:
  `engineInit` in class `X509StoreSpi`

#### engineGetMatches

    public java.util.Collection engineGetMatches(Selector selector)

Specified by:
  `engineGetMatches` in class `X509StoreSpi`